#include "BaseProjectileReplicationComponent.h"
#include "ImpactInfo.h"
#include "Engine/NetSerialization.h"
#include "UObject/NoExportTypes.h"
#include "LaunchInfo.h"

class ABaseProjectile;

void UBaseProjectileReplicationComponent::Server_TryDetectPlayer_Implementation(ABaseProjectile* projectile, FImpactInfo impactInfo, const FVector_NetQuantize100 projectileLocation, const FVector_NetQuantize10 projectileRotation, const float targetLocationTimestamp, const float launchTime, const float clientTime, const FVector projectileCurrentLocationOnClient)
{

}

void UBaseProjectileReplicationComponent::Mutlicast_DetectSlashable_Implementation(ABaseProjectile* projectile, FImpactInfo impactInfo)
{

}

void UBaseProjectileReplicationComponent::Multicast_SendAuthorityDetectPlayer_Implementation(ABaseProjectile* projectile, FImpactInfo impactInfo)
{

}

void UBaseProjectileReplicationComponent::Multicast_OnLaunchWithImpact_Implementation(ABaseProjectile* projectile, FLaunchInfo launchInfo, FImpactInfo impactInfo)
{

}

void UBaseProjectileReplicationComponent::Multicast_OnLaunch_Implementation(ABaseProjectile* projectile, FLaunchInfo launchInfo)
{

}

void UBaseProjectileReplicationComponent::Multicast_DetectPlayer_Implementation(ABaseProjectile* projectile, FImpactInfo impactInfo)
{

}

void UBaseProjectileReplicationComponent::Multicast_DetectImpact_Implementation(ABaseProjectile* projectile, FImpactInfo impactInfo)
{

}

void UBaseProjectileReplicationComponent::Client_ReceiveDetectPlayerValidation_Implementation(ABaseProjectile* projectile, bool success)
{

}

void UBaseProjectileReplicationComponent::Client_LaunchRefusedByServer_Implementation(ABaseProjectile* projectile)
{

}

UBaseProjectileReplicationComponent::UBaseProjectileReplicationComponent()
{

}
